Bug 193256 - qt4-devel: .qmake.cache missing
qt4-devel: .qmake.cache missing
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: qt4 (Show other bugs)
4
All Linux
medium Severity medium
: ---
: ---
Assigned To: Rex Dieter
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-05-26 12:44 EDT by Frank Büttner
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-06-27 12:06:40 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Frank Büttner 2006-05-26 12:44:50 EDT
In the devel packe the file .qmake.cache is missing. This file is needed for
apps that will use QSA!!
Comment 1 Rex Dieter 2006-05-26 12:59:05 EDT
Details please.  

I don't see any reference to qmake.cache in qt4's build.log or in the usual
'make install' stage.  (Which implies this may be an upstream problem).
Comment 2 Frank Büttner 2006-05-26 13:08:08 EDT
When build Qt compte with the unmodifid buid script this file will be installed.
But you can simple copy it from the build dir to the QTDIR
Comment 3 Rex Dieter 2006-05-26 13:39:42 EDT
> When build Qt compte with the unmodifid buid script this file will be installed.

AFAICT, this is the problem.  It does not get installed during the normal build
procedure.

Perhaps this begs the question, what makes you think that .qmake.cache really is
needed?  How/Why is it used?
Comment 4 Frank Büttner 2006-05-26 13:48:09 EDT
The QSA packed need the file to know how Qt was compiled.
Comment 5 Rex Dieter 2006-05-26 13:57:41 EDT
Again, I ask, how/why does QSA require something that doesn't (normally) get
installed?
Comment 6 Frank Büttner 2006-05-26 14:06:52 EDT
I don't kown but without the file you get warning about the missing file and
later bulding apps for QSA will fail. You can try it.
Comment 7 Rex Dieter 2006-05-26 16:32:55 EDT
Not good enough.  Upstream doesn't ship/install .qmake.cache, neither will we,
unless there is a *very* good reason.

Are you submitting QSA for FE review?  If so, I can go take a closer look myself.
Comment 8 Frank Büttner 2006-05-26 16:49:09 EDT
Yes I have. But without an correct and working Qt package I can not build any
useful package.
At now I have my own perfect Qt package.
Comment 9 Rex Dieter 2006-05-26 17:49:42 EDT
marked this as blocker for qsa submission, bug #191589
Comment 10 Rex Dieter 2006-05-26 17:51:41 EDT
I have to say that after reviewing other distro's qt(4) pkgs, none of them ship
a .qmake.cache file either.

Frank, so what do you do to get .qmake.cache?  Manually copy it to %qtdir?

Comment 11 Frank Büttner 2006-05-27 05:56:40 EDT
Yes. I copy it from the Qt build place.
When you take a look in the precompiled package for windows an gcc from
trolltech you will find this file again.
Comment 12 Rex Dieter 2006-06-08 08:53:12 EDT
AFAICT, qsa (now?) builds fine without the .qmake.cache file, can we close this
then?

Note You need to log in before you can comment on or make changes to this bug.